:
target=`echo $0 | sed 's/\.SH$//'`
test -s $target && exit 0

_TTY=${_TTY:-`test -t 0 && tty`}; export _TTY
ask() { test "$_TTY" && { echo $N "${2:-$1?} "$C > $_TTY; read $1 < $_TTY; }; }

# these are from rc.sh, but others can use them too.
Which() {
	case "$1" in
	-*) t=$1; shift;;
	*) t=-x;;
	esac
	case "$1" in
	/*)	test $t $1 && echo $1;;
	*)
		for d in `IFS=:; echo ${2-$PATH}`
		do
			test $t $d/$1 && { echo $d/$1; break; }
		done
		;;
	esac
}

exec > $target
here=`dirname $0`
here=`cd $here; /bin/pwd`
parent=`dirname $here`
PATH=/usr/local/share/bin:/share/bin:$PATH
export PATH

cat <<!E!
BASE?=$here
TOP?=/usr/local
BINDIR?=$TOP/bin
.if exists(${TOP}/Makefile.inc)
.include "${TOP}/Makefile.inc"
.else
BSDOBJDIR=/usr/local/obj
BSDSRCDIR=$parent
.endif
!E!
CMT2DOC=${CMT2DOC:-`Which cmt2doc.pl`}
if test "x$CMT2DOC" = x; then
echo "# no cmt2doc.pl"
echo EXTRACT_MAN=no
fi
MKDEP=${MKDEP:-`Which mkdep`}
MKDEP=${MKDEP:-`Which mkdeps.sh`}
if test "x$MKDEP" = x; then
echo "# no mkdep"
echo MKDEP?=echo no mkdep
fi
